include ../test_defines.mk

TARGET = run_test
SOURCES += $(wildcard ./*.c)
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

WRAP_FUNC=-Wl,--wrap=
MOCK_WRAP=amxm_so_open \
          amxm_execute_function \
          netmodel_openQuery_getAddrs \
          netmodel_openQuery_getFirstParameter \
          netmodel_openQuery_getAddrs \
          netmodel_closeQuery \
          netmodel_initialize

LDFLAGS += -g $(addprefix $(WRAP_FUNC),$(MOCK_WRAP))

include ../test_targets.mk